Contents
Index 🔎︎

# Add-in Functions

The following describes and lists some of the available add-in functions.

Yad-rimee Add-in

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Add-ins dhiyeessame

LibreOffice Walquunnamtii add-in LibreOffice Calciif fakkeenyota qabata.

Faankishinoota Xiinxalaa Kutaa Tokkoffaa

Faankishinoota Xiinxalaa Kutaa Lammaffaa

## DAYSINMONTH

Lakkoofsa guyyoota ji'a keessaa kan aduun gale itti argamu shallaga.

#### Syntax

DAYSINMONH(Aduu)

Aduun aduu kamiyyuu kan eerame ji'a keessaati. Ulaagaan aduu akka qindaa'inoota gitoo biyyaa LibreOfficetti aduu dhugaa ta'u qaba.

#### Example

=DAYSINMONTH(A1) yoo A1'nin 1968-02-17 qabaate 29 kenna, aduu gataa'aa kan amajjii 1968ti.

## DAYSINYEAR

Lakkoofsa guyyoota waggaa keessaa kan aduun gale itti argamu shallaga.

#### Syntax

DAYSINYEAR(Aduu)

Aduun aduu kamiyyuu kan eerame keessaati. Ulaagaan aduu akka qindaa'inoota gitoo biyyaa LibreOfficetti aduu gataa'aa ta'u qaba.

#### Example

=DAYSINYEAR(A1) yoo A1'nin 1968-02-29 qabaate guyyoota 366 qaba, aduu gataa'aa kan bara 1968.

## ISLEAPYEAR

Waggaan waggaa utaalu ta'uu isaa murteessa. Yoo eyyee ta'e, faankishinichi gatii 1(DHUGAA) kenna; yoo ta'uu baate, 0(SOBA) deebisa.

#### Syntax

ISLEAPYEAR("Aduu")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

#### Example

Yoo A1,guyyaa sirrii 29 amajjii 1968 qindaa'ina gitoo biyyaa keessaa 1968-02-29 qabaate=ISLEAPYEAR(A1) 1 deebisa.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

=ISLEAPYEAR(2/29/68) gonkuma hin fayyadamiin, sababni isaas kun jalqaba 2 hiruu 29f hiruu 68f shallaguu qaba, sana booda faankishinii ISLEAPYEAR lakkoofsa xiqqoo kana irraa akka lakkoofsa guyyaa eenyummaatti shallagi.

## MONTHS

Garaagarummaa ji'ootaa guyyoota lama gidduu jiru shallaga.

#### Syntax

MONTHS(AduuJalqabaa; AduuDhumaa; Gosa)

AduunJalqabaa aduu duraati.

AduunDhumaa aduu lammaffaati

Gosni Gosa garaagarummaa shallaga. Gatiiwwan eeyyamaman 0 (giddu'uu) fi 1 (lakkaawwii ji'ootaan).

## ROT13

Arfiiwwan tartiiba qubee keessatti iddoowwan 13 tti hiiqsuudhaan diraa arfii icciteessa. Qubee Z booda, tartiibni qubee ammas (naanna'uu) jalqaba. Lakkaddaa uumamutti ammas faankishinii icciteessuu fayyadamuudhaan, icciitii barruu diiguu dandeessa.

#### Syntax

ROT13(Barruu)

Barruun diraa arfii icciteeffamuu qabudha. ROT13(ROT13(Barruun)) lakkaddaa saaxila.

#### Example

=ROT13("Gur Qbphzrag Sbhaqngvba jnf sbhaqrq va Frcgrzore 2010.") returns the string "The Document Foundation was founded in September 2010.". Notice how spaces, digits, and full stops are unaffected by ROT13.

Refer to the ROT13 wiki page for more details about this function.

## WEEKS

garagarumma torbeewwan aduuwwan lama jiru kenna.

#### Syntax

WEEKS(AduuJalqabaa; AduuXumuraa; Akaakuu)

AduunJalqabaa aduu duraati.

AduunDhumaa aduu lammaffaati

Akaakuun akaakuu garaagarummaa shallaga. Gatiiwwan ta'uu danda'an 0 (giddu'u) fi 1 (lakkoofsa torbewwani keessatti) dha.

## WEEKSINYEAR

Lakkoofsa torbeewwan waggaa kan aduun gale itti argamu kenna. Lakkoofsi torbeewwanii akka armaan gadiiti hiikama:torbeen waggoota lama gargar baasu waggaa guyyotni torbee kana keessatti argamutti dabalama.

#### Syntax

WEEKSINYEAR(aduu)

Aduun aduu kamiyyuu kan eerame keessaati. Ulaagaan aduu akka qindaa'inoota gitoo biyyaa LibreOfficetti aduu gataa'aa ta'u qaba.

#### Example

=WEEKSINYEAR(A1) yoo A1'nin 1970-02-17 qabaate 53 kenna, aduu gataa'aa kan bara 1970.

## YEARS

Garaagarummaa waggaa aduuwwan lama gidduu jiru shallaga.

#### Syntax

YEARS(AduuJalqabaaStart; AduuDhumaa; Gosa)

AduunJalqabaa aduu duraati.

AduunDhumaa aduu lammaffaati

Gosni gosa garaagarummaa shallaga. Gatiiwwan eeyyamaman 0 (giddu'uu) fi 1 (lakkaawwii waggootaa).

## idaatuwaan LibreOffice API keessaan

Add-ins can also be implemented through the LibreOffice API.

Matadureewwan Walfakkatan

Functions by Category